org.apache.tamaya.inject

## Enum LoadPolicy

- java.lang.Object
- - java.lang.Enum<LoadPolicy>
  - - org.apache.tamaya.inject.LoadPolicy

- All Implemented Interfaces:
    Serializable, Comparable<LoadPolicy>

      public enum LoadPolicy
      extends Enum<LoadPolicy>

  Available policies that describe how changes affecting configured values are published/reinjected. The policy also affects the cases were any configured listeners/listener methods are called for propagation current configuration changes.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `INITIAL` The configuration keys is evaluated once, when the owning component is loaded/configured, but never updated later.
    `LAZY` The configuration keys is evaluated exactly once on its first use lazily, but never updated later.
    `MANAGED` The configuration keys is evaluated once, when the owning component is loaded/configured.
    `SILENT` The configuration keys is evaluated once, when the owning component is loaded/configured.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LoadPolicy` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static LoadPolicy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INITIAL

          public static final LoadPolicy INITIAL

      The configuration keys is evaluated once, when the owning component is loaded/configured, but never updated later.

    - #### LAZY

          public static final LoadPolicy LAZY

      The configuration keys is evaluated exactly once on its first use lazily, but never updated later. This feature is not applicable on field injection, but only on configuration template methods.

    - #### MANAGED

          public static final LoadPolicy MANAGED

      The configuration keys is evaluated once, when the owning component is loaded/configured. Later changes on this configuration entry will be reinjected/updated and additionally triggered as `PropertyChangeEvent`.

    - #### SILENT

          public static final LoadPolicy SILENT

      The configuration keys is evaluated once, when the owning component is loaded/configured. Later changes on this configuration entry will be reinjected/updated, but no `PropertyChangeEvent` will be triggered.

  - ### Method Detail

    - #### values

          public static LoadPolicy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LoadPolicy c : LoadPolicy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LoadPolicy valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014–2015 Apache Software Foundation. All rights reserved.